Package com.collibra.dgc.core.api.dto.instance.rating

# Class AddRatingRequest

Object
AddRatingRequest

All Implemented Interfaces:
  `Serializable`

public class AddRatingRequest extends Object implements Serializable
The properties of the rating to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddRatingRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddRatingRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddRatingRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset to which rating will be assigned.
  `Double`
  `getRating()`
  Required. The rating value of the new rating.
  `String`
  `getReview()`
  The text field which could be optionally added with rating.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset to which rating will be assigned.
  `void`
  `setRating(Double rating)`
  Required. The rating value of the new rating.
  `void`
  `setReview(String review)`
  The text field which could be optionally added with rating.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddRatingRequest

    public AddRatingRequest()

- ## Method Details

  - ### builder

    public static AddRatingRequest.Builder builder()

  - ### getRating

    public Double getRating()
    Required. The rating value of the new rating. Allowed values are {0.2, 0.4, 0.6, 0.8, 1.0} (e.g., 0.2 for 1 star, 1.0 for 5 stars).

  - ### getReview

    public String getReview()
    The text field which could be optionally added with rating.

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset to which rating will be assigned.

  - ### setRating

    public void setRating(Double rating)
    Required. The rating value of the new rating. Allowed values are {0.2, 0.4, 0.6, 0.8, 1.0} (e.g., 0.2 for 1 star, 1.0 for 5 stars).

  - ### setReview

    public void setReview(String review)
    The text field which could be optionally added with rating.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset to which rating will be assigned.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`